/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/
#include "fxlib.h"
#include "usefull.h"
#include "stdlib.h"

void PrintV( int variable)
{

    int i, length=0;
    char str[12] = "0";
    if (variable)
    {
        if (variable<0)
        {
            length++;
            str[0] = '-';
            variable = -variable;
        }
        for (i=variable ; i ; i/=10) length++;
        str[length] = 0;
        for ( ; variable ; variable/=10) str[--length] = variable%10+'0';
    }
    Print(str);
}

//****************************************************************************
//  AddIn_main (Sample program main function)
//
//  param   :   isAppli   : 1 = This application is launched by MAIN MENU.
//                        : 0 = This application is launched by a strip in eACT application.
//
//              OptionNum : Strip number (0~3)
//                         (This parameter is only used when isAppli parameter is 0.)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int AddIn_main(int isAppli, unsigned short OptionNum)
{
    unsigned int key;
    int nombre;
    int nombre_secret;
    int curseur = 0;
    int max;
    
    srand(time_getTicks());
    Bdisp_AllClr_DDVRAM();

    locate(4,1);
    Print((unsigned char*)"Plus ou moins");
    locate(3,3);
    Print((unsigned char*)"Facile");
    locate(3,4);
    Print((unsigned char*)"Normal");
    locate(3,5);
    Print((unsigned char*)"Difficile");
    while (key != KEY_CTRL_EXE)
    {
    	locate(2,3+curseur);
    	Print((unsigned char*)">");
    	GetKey(&key);
    	locate(2,3+curseur);
    	Print((unsigned char*)" ");
    	if ( key == KEY_CTRL_UP && curseur > 0 ) {curseur -= 1;}
    	if ( key == KEY_CTRL_DOWN && curseur < 2 ) {curseur += 1;}
    }
    if (curseur == 0) {max = 9;}
    if (curseur == 1) {max = 99;}
    if (curseur == 2) {max = 999;}
    nombre = (max+1)/2;
    nombre_secret = rand()%(max+1);
    
    while(IsKeyDown(KEY_CTRL_EXE)==0){ GetKey(&key);}
    
    Bdisp_AllClr_DDVRAM();
    locate(1,1);
    Print((unsigned char*)"Fleches pour choisir");
    locate(8,3);
    Print((unsigned char*)"<");
    
    while(1){
    	locate(10,3);
    	Print((unsigned char*)"  ");
    	locate(10+(nombre>9)+(nombre>99),3);
           Print((unsigned char*)"  >  ");
           locate(10,3);
    	PrintV(nombre);
    	GetKey(&key);
    	if (key == KEY_CTRL_LEFT  && nombre>0) {nombre -= 1;}
    	if (key == KEY_CTRL_RIGHT && nombre < max) {nombre += 1;}
    	if (key == KEY_CTRL_EXE)
    	{
    		locate(5,5);
    		if (nombre == nombre_secret) { break; }
    		if (nombre >nombre_secret)
    		{
    			Print((unsigned char*)"Plus petit");
    		}
    		if (nombre <nombre_secret)
    		{
    			Print((unsigned char*)"Plus grand");
    		}
    	}
    }
    Print((unsigned char*)"Bravo !!! ");
    while (1)
    {
    	GetKey(&key);
    }
    return 1;
}


//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section

